Page MenuHomePhabricator

When unsubscribing from task via email, Phab mail notification said a comment was left, but none was
Closed, ResolvedPublic

Description

Reported upstream: https://secure.phabricator.com/T8649

Subject: [Maniphest] [Commented On] T65971: iOS app doesn't support {{DISPLAYTITLE:}}
Deskana removed a subscriber: Deskana.
Deskana added a comment.

TASK DETAIL
  https://phabricator.wikimedia.org/T65971

EMAIL PREFERENCES
  https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: Mhurd, Deskana
Cc: Fjalapeno, Etonkovidova, brion, Amire80, Legoktm, jeremyb, Ryasmeen, wikibugs-l

But if you look at T65971#1328988, he didn't leave a comment.


See also:

T98570: In the Phabricator e-mail, say "[Commented]" in the subject instead of hiding the comment under the subscribing

Event Timeline

Legoktm created this task.Jun 2 2015, 2:58 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added a project: Phabricator.
Legoktm added subscribers: Legoktm, Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2015, 2:58 PM

I think this is a quirk of the unsubscribe by email function. Let's find out. I'll subscribe using the web UI.

Deskana removed a subscriber: Deskana.Jun 2 2015, 3:01 PM
Deskana added a subscriber: Deskana.

Now I'll unsubscribe by email.

Deskana removed a subscriber: Deskana.Jun 2 2015, 3:01 PM
Deskana added a subscriber: Deskana.Jun 2 2015, 3:02 PM

Alright, perhaps not. ;-)

Either way, it might be helpful information to know that the example @Legoktm gave for this bug was me using the email unsubscription feature.

jeremyb-phone set Security to None.Jun 2 2015, 3:03 PM
jeremyb-phone added a subscriber: jeremyb.

Alright, perhaps not. ;-)

huh?

T101106#1329719 sent:

Deskana removed a subscriber: Deskana.
Deskana added a comment.

Alright, perhaps not. ;-)

huh?

T101106#1329719 sent:

Deskana removed a subscriber: Deskana.
Deskana added a comment.

Curious. When I click on your link, I don't see that.

Curious. When I click on your link, I don't see that.

I was quoting the email not web.

Oh, right. Silly me. I guess I was wrong about being wrong. There are worse things! :-)

Aklapper renamed this task from Phabricator notification said a comment was left, but none was to When unsubscribing from task via email, Phab mail notification said a comment was left, but none was.Jun 3 2015, 6:40 PM
Aklapper triaged this task as Low priority.
Qgil added a subscriber: Qgil.Jun 12 2015, 7:29 AM

I got another one: T851#1356708

The funny thing is that it is @Deskana again. Either he is the only one unsubscribing from tasks we receive notifications from, or he does something funny when unsubscribing, or something even more esoteric. :) Or maybe we still have a small sample, most probably.

@Deskana, are you doing something like typing a single space when unsubscribing or something?

I got another one: T851#1356708

The funny thing is that it is @Deskana again. Either he is the only one unsubscribing from tasks we receive notifications from, or he does something funny when unsubscribing, or something even more esoteric. :) Or maybe we still have a small sample, most probably.

@Deskana, are you doing something like typing a single space when unsubscribing or something?

I hit reply to the email, type !unsubscribe and hit send. That's all.

Qgil added a comment.Jun 18 2015, 7:43 AM

Thank you! Then we can assume that this problem happens in the context of email updates, not via web.

Qgil updated the task description. (Show Details)Jun 23 2015, 7:11 PM
Qgil moved this task from Ready To Go to Upstreamed on the Phabricator (Upstream) board.
Qgil added a subscriber: jayvdb.Jul 6 2015, 2:06 PM

fwiw, the similar https://secure.phabricator.com/T8645 task filed by @jayvdb has been wontfixed upstream.

I don't see how that is similar?

Qgil added a comment.Jul 6 2015, 6:52 PM

Sorry for the noise. I got stuck with the hypothesis of the extra space. :)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:01 PM
Nnemo updated the task description. (Show Details)Nov 11 2016, 12:46 PM
Nnemo added a subscriber: Nnemo.
Qgil removed a subscriber: Qgil.Nov 11 2016, 12:51 PM
Aklapper moved this task from Backlog to Reported Upstream on the Upstream board.Mar 6 2017, 8:11 PM
Aklapper closed this task as Resolved.
Aklapper claimed this task.

https://secure.phabricator.com/T8649#151246 states that this likely got fixed in the meantime. Hence also resolving here in downstream.

Please reopen if this still happens.